#### Previous topic

scipy.spatial.KDTree.query_pairs

#### Next topic

scipy.spatial.cKDTree

# scipy.spatial.KDTree.sparse_distance_matrix

`KDTree.``sparse_distance_matrix`(other, max_distance, p=2.0)

  Compute a sparse distance matrix

  Computes a distance matrix between two KDTrees, leaving as zero any distance greater than max_distance.

  Parameters: | other : KDTree max_distance : positive float p : float, optional

  Returns:

  result : dok_matrix

  > Sparse matrix representing the results in “dictionary of keys” format.